searchNodes=[{"ref":"Telnyx.html","title":"Telnyx","type":"module","doc":"Telnyx is a real-time communications platform with full, feature-rich functionality, making it quick and easy to set up and port numbers around the world, configure messaging, control VoIP and IP network functions, and define how and where communications can be used in real time. The Telnyx API can power a host of specialty applications, from call tracking to cloud-based PBX, dynamic security, and authentication use cases. link This library aims to make it easy to integrate with the Telnyx API in Elixir. Quickstart api_key = &quot;YOUR_API_KEY&quot; {:ok, data} = Telnyx.Messages.create(api_key, %{ messaging_profile_id: &quot;3fa85f55-5717-4562-b3fc-2c963f63vga6&quot;, from: &quot;+18665552368&quot;, # Your Telnyx number to: &quot;+18445552367&quot;, text: &quot;Hello, World!&quot; }) Installation Add telnyx to your deps in mix.exs: {:telnyx, &quot;~&gt; 0.1.0&quot;} Usage Currently the only available call is Telnyx.Messages.create/2, which sends an outbound SMS. Eventually all of the API calls at https://developers.telnyx.com/docs/api/v2/overview will be supported. There is currently no plan to support v1 endpoints, although if there&#39;s interest please let me know! Changelog See the CHANGELOG.md. Contributing Contributions are always welcome! If you find a bug, please open an issue or even better - cut a PR! Tests are a plus and will help get things merged faster. To run the test suite, you&#39;ll need to download the latest version of telnyx-mock, unpack it, and ensure it is running before calling mix test. Contributors and contributions will be listed in the changelog. License This software is released under the MIT License."},{"ref":"Telnyx.Client.html","title":"Telnyx.Client","type":"behaviour","doc":"Uses Mojito by default, but can be swapped out for any HTTP client you&#39;d like. To use a different HTTP client, create a new module like MyApp.TelnyxClient which implements get/2, post/3, patch/3, and delete/2 and uses the @behaviour Telnyx.Client behaviour. For a reference on how simple the file can be, see the Telnyx.Client.Mojito module. The success response of those functions must return a :body key, with a JSON value, and a :status_code key with an integer HTTP status. Then, you&#39;ll need to add the following to config.exs: config :telnyx, client: MyApp.TelnyxClient Depending on your HTTP client, you may need to do some work to translate headers or other parts into something your client expects. For example, the post/3 callback has an order of (url, headers, body), but HTTPoison needs them in the order (url, body, headers)."},{"ref":"Telnyx.Client.html#delete/2","title":"Telnyx.Client.delete/2","type":"function","doc":""},{"ref":"Telnyx.Client.html#c:delete/2","title":"Telnyx.Client.delete/2","type":"callback","doc":""},{"ref":"Telnyx.Client.html#get/2","title":"Telnyx.Client.get/2","type":"function","doc":""},{"ref":"Telnyx.Client.html#c:get/2","title":"Telnyx.Client.get/2","type":"callback","doc":""},{"ref":"Telnyx.Client.html#init/0","title":"Telnyx.Client.init/0","type":"function","doc":""},{"ref":"Telnyx.Client.html#c:init/0","title":"Telnyx.Client.init/0","type":"callback","doc":"Callback to initialize api client"},{"ref":"Telnyx.Client.html#patch/3","title":"Telnyx.Client.patch/3","type":"function","doc":""},{"ref":"Telnyx.Client.html#c:patch/3","title":"Telnyx.Client.patch/3","type":"callback","doc":""},{"ref":"Telnyx.Client.html#post/3","title":"Telnyx.Client.post/3","type":"function","doc":""},{"ref":"Telnyx.Client.html#c:post/3","title":"Telnyx.Client.post/3","type":"callback","doc":""},{"ref":"Telnyx.Client.html#t:body/0","title":"Telnyx.Client.body/0","type":"type","doc":""},{"ref":"Telnyx.Client.html#t:headers/0","title":"Telnyx.Client.headers/0","type":"type","doc":""},{"ref":"Telnyx.Client.html#t:response/0","title":"Telnyx.Client.response/0","type":"type","doc":""},{"ref":"Telnyx.Client.html#t:status/0","title":"Telnyx.Client.status/0","type":"type","doc":""},{"ref":"Telnyx.Client.html#t:url/0","title":"Telnyx.Client.url/0","type":"type","doc":""},{"ref":"Telnyx.Client.Mojito.html","title":"Telnyx.Client.Mojito","type":"module","doc":""},{"ref":"Telnyx.Error.html","title":"Telnyx.Error","type":"exception","doc":""},{"ref":"Telnyx.Messages.html","title":"Telnyx.Messages","type":"module","doc":"Send a message with create/2, and retrieve a message with retrieve/2."},{"ref":"Telnyx.Messages.html#create/2","title":"Telnyx.Messages.create/2","type":"function","doc":"Sends a message. Examples api_key = &quot;YOUR_API_KEY&quot; %{ from: &quot;+18665552368&quot;, # Your Telnyx number to: &quot;+18445552367&quot;, text: &quot;Hello, World!&quot; } |&gt; Telnyx.Messages.create(api_key) Example response: {:ok, %{ &quot;carrier&quot; =&gt; &quot;Verizon&quot;, &quot;cost&quot; =&gt; %{&quot;amount&quot; =&gt; &quot;1.23&quot;, &quot;currency&quot; =&gt; &quot;USD&quot;}, &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;direction&quot; =&gt; &quot;outbound&quot;, &quot;errors&quot; =&gt; [], &quot;from&quot; =&gt; &quot;+18665552368&quot;, &quot;id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;line_type&quot; =&gt; &quot;Wireless&quot;, &quot;parts&quot; =&gt; 1, &quot;record_type&quot; =&gt; &quot;message&quot;, &quot;text&quot; =&gt; &quot;Hello world&quot;, &quot;to&quot; =&gt; [ %{ &quot;address&quot; =&gt; &quot;+18665550001&quot;, &quot;status&quot; =&gt; &quot;queued&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot; } ], &quot;type&quot; =&gt; &quot;sms&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;use_profile_webhooks&quot; =&gt; false, &quot;valid_until&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;webhook_failover_url&quot; =&gt; &quot;https://www.example.com/callbacks&quot;, &quot;webhook_url&quot; =&gt; &quot;https://www.example.com/hooks&quot; } } See https://developers.telnyx.com/docs/api/v2/messaging/Messages"},{"ref":"Telnyx.Messages.html#create_alphanumeric/2","title":"Telnyx.Messages.create_alphanumeric/2","type":"function","doc":"This call disappeared out of the v2 docs, so it has been deprecated. You can use an alphanumeric key instead of a phone number in create/2. See create/2 documentation for example."},{"ref":"Telnyx.Messages.html#create_from_number_pool/2","title":"Telnyx.Messages.create_from_number_pool/2","type":"function","doc":"Same as create/2 but specifically for sending messages from a number pool. The option pool must be turned on in the messaging profile. create/2 supports sending from a number pool already with the same params (ensuring that messaging_profile_id is included, but omitting the from). Examples api_key = &quot;YOUR_API_KEY&quot; %{ messaging_profile_id: &quot;uuid&quot;, to: &quot;+18445552367&quot;, text: &quot;Hello, World!&quot; } |&gt; Telnyx.Messages.create(api_key) Example response: {:ok, %{ &quot;carrier&quot; =&gt; &quot;Verizon&quot;, &quot;cost&quot; =&gt; %{&quot;amount&quot; =&gt; &quot;1.23&quot;, &quot;currency&quot; =&gt; &quot;USD&quot;}, &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;direction&quot; =&gt; &quot;outbound&quot;, &quot;errors&quot; =&gt; [], &quot;from&quot; =&gt; &quot;+18665552368&quot;, &quot;id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;line_type&quot; =&gt; &quot;Wireless&quot;, &quot;parts&quot; =&gt; 1, &quot;record_type&quot; =&gt; &quot;message&quot;, &quot;text&quot; =&gt; &quot;Hello world&quot;, &quot;to&quot; =&gt; [ %{ &quot;address&quot; =&gt; &quot;+18665550001&quot;, &quot;status&quot; =&gt; &quot;queued&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot; } ], &quot;type&quot; =&gt; &quot;sms&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;use_profile_webhooks&quot; =&gt; false, &quot;valid_until&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;webhook_failover_url&quot; =&gt; &quot;https://www.example.com/callbacks&quot;, &quot;webhook_url&quot; =&gt; &quot;https://www.example.com/hooks&quot; } } See https://developers.telnyx.com/docs/api/v2/messaging/Messages#createNumberPoolMessage"},{"ref":"Telnyx.Messages.html#create_long_code/2","title":"Telnyx.Messages.create_long_code/2","type":"function","doc":"Same as create/2 but specifically for sending long-code messages. See the documentation for create/2 for example. create/2 supports long-code already, if the from param is a long code number. See https://developers.telnyx.com/docs/api/v2/messaging/Messages#createLongCodeMessage"},{"ref":"Telnyx.Messages.html#create_short_code/2","title":"Telnyx.Messages.create_short_code/2","type":"function","doc":"Same as create/2 but specifically for sending short-code messages. create/2 supports short-code already with the same params. See the create/2 documentation for example. See https://developers.telnyx.com/docs/api/v2/messaging/Messages#createShortCodeMessage"},{"ref":"Telnyx.Messages.html#retrieve/2","title":"Telnyx.Messages.retrieve/2","type":"function","doc":"Retrieves a message. Examples api_key = &quot;YOUR_API_KEY&quot; Telnyx.Messages.retrieve(api_key, &quot;uuid&quot;) Example response: {:ok, %{ &quot;carrier&quot; =&gt; &quot;Verizon&quot;, &quot;cost&quot; =&gt; %{&quot;amount&quot; =&gt; &quot;1.23&quot;, &quot;currency&quot; =&gt; &quot;USD&quot;}, &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;direction&quot; =&gt; &quot;outbound&quot;, &quot;errors&quot; =&gt; [], &quot;from&quot; =&gt; &quot;+18445550001&quot;, &quot;id&quot; =&gt; &quot;uuid&quot;, &quot;line_type&quot; =&gt; &quot;Wireless&quot;, &quot;parts&quot; =&gt; 1, &quot;record_type&quot; =&gt; &quot;message&quot;, &quot;text&quot; =&gt; &quot;Hello, World!&quot;, &quot;to&quot; =&gt; [ %{ &quot;address&quot; =&gt; &quot;+18665550001&quot;, &quot;status&quot; =&gt; &quot;queued&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot; } ], &quot;type&quot; =&gt; &quot;sms&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;use_profile_webhooks&quot; =&gt; false, &quot;valid_until&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;webhook_failover_url&quot; =&gt; &quot;https://www.example.com/callbacks&quot;, &quot;webhook_url&quot; =&gt; &quot;https://www.example.com/hooks&quot; } } See https://developers.telnyx.com/docs/api/v2/messaging/Messages#retrieveMessage"},{"ref":"Telnyx.MessagingPhoneNumbers.html","title":"Telnyx.MessagingPhoneNumbers","type":"module","doc":"Context for managing messaging phone numbers"},{"ref":"Telnyx.MessagingPhoneNumbers.html#list/2","title":"Telnyx.MessagingPhoneNumbers.list/2","type":"function","doc":"Lists all messaging phone numbers. api_key = &quot;YOUR_API_KEY&quot; Telnyx.MessagingPhoneNumbers.list(api_key, page: %{size: 10}) Example response: {:ok, [ %{ &quot;MMS&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;enabled&quot; =&gt; false, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false }, &quot;SMS&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;enabled&quot; =&gt; false, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false }, &quot;country_code&quot; =&gt; &quot;US&quot;, &quot;created_at&quot; =&gt; &quot;2020-04-27T15:33:17.098Z&quot;, &quot;eligible_messaging_products&quot; =&gt; [&quot;A2P&quot;, &quot;P2P&quot;], &quot;features&quot; =&gt; %{ &quot;mms&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false }, &quot;sms&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false } }, &quot;health&quot; =&gt; %{ &quot;inbound_outbound_ratio&quot; =&gt; 0.06521739130434782, &quot;message_count&quot; =&gt; 98.0, &quot;spam_ratio&quot; =&gt; 0.0, &quot;success_ratio&quot; =&gt; 1.0 }, &quot;id&quot; =&gt; &quot;8787893573721994846&quot;, &quot;messaging_product&quot; =&gt; &quot;A2P&quot;, &quot;messaging_profile_id&quot; =&gt; &quot;21994846-5bdf-4fd6-b75f-6d2f633b08bd&quot;, &quot;organization_id&quot; =&gt; &quot;21994846-d17b-4cde-8fbf-e37bd8baa4b1&quot;, &quot;phone_number&quot; =&gt; &quot;+18665552368&quot;, &quot;phone_number_country&quot; =&gt; &quot;US&quot;, &quot;phone_number_type&quot; =&gt; &quot;longcode&quot;, &quot;record_type&quot; =&gt; &quot;messaging_phone_number&quot;, &quot;traffic_type&quot; =&gt; &quot;A2P&quot;, &quot;type&quot; =&gt; &quot;longcode&quot;, &quot;updated_at&quot; =&gt; &quot;2020-04-27T15:33:17.098Z&quot;, &quot;user_id&quot; =&gt; &quot;21994846-d17b-4cde-8fbf-e37bd8baa4b1&quot; } ] }"},{"ref":"Telnyx.MessagingPhoneNumbers.html#retrieve/2","title":"Telnyx.MessagingPhoneNumbers.retrieve/2","type":"function","doc":"Retrieves a messaging phone number. Examples api_key = &quot;YOUR_API_KEY&quot; Telnyx.MessagingPhoneNumbers.retrieve(&quot;+18665552368&quot;, api_key) Example response: {:ok, %{ &quot;MMS&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;enabled&quot; =&gt; false, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false }, &quot;SMS&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;enabled&quot; =&gt; false, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false }, &quot;country_code&quot; =&gt; &quot;US&quot;, &quot;created_at&quot; =&gt; &quot;2020-04-27T15:33:17.098Z&quot;, &quot;eligible_messaging_products&quot; =&gt; [&quot;A2P&quot;, &quot;P2P&quot;], &quot;features&quot; =&gt; %{ &quot;mms&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false }, &quot;sms&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false } }, &quot;health&quot; =&gt; %{ &quot;inbound_outbound_ratio&quot; =&gt; 0.06521739130434782, &quot;message_count&quot; =&gt; 98.0, &quot;spam_ratio&quot; =&gt; 0.0, &quot;success_ratio&quot; =&gt; 1.0 }, &quot;id&quot; =&gt; &quot;8787893573721994846&quot;, &quot;messaging_product&quot; =&gt; &quot;A2P&quot;, &quot;messaging_profile_id&quot; =&gt; &quot;21994846-5bdf-4fd6-b75f-6d2f633b08bd&quot;, &quot;organization_id&quot; =&gt; &quot;21994846-d17b-4cde-8fbf-e37bd8baa4b1&quot;, &quot;phone_number&quot; =&gt; &quot;+18665552368&quot;, &quot;phone_number_country&quot; =&gt; &quot;US&quot;, &quot;phone_number_type&quot; =&gt; &quot;longcode&quot;, &quot;record_type&quot; =&gt; &quot;messaging_phone_number&quot;, &quot;traffic_type&quot; =&gt; &quot;A2P&quot;, &quot;type&quot; =&gt; &quot;longcode&quot;, &quot;updated_at&quot; =&gt; &quot;2020-04-27T15:33:17.098Z&quot;, &quot;user_id&quot; =&gt; &quot;21994846-d17b-4cde-8fbf-e37bd8baa4b1&quot; }} See https://developers.telnyx.com/docs/api/v2/messaging/Phone-Numbers#retrieveMessagingPhoneNumber"},{"ref":"Telnyx.MessagingPhoneNumbers.html#update/3","title":"Telnyx.MessagingPhoneNumbers.update/3","type":"function","doc":"Updates a messaging phone number. Examples api_key = &quot;YOUR_API_KEY&quot; {:ok, number} = Telnyx.MessagingPhoneNumbers.retrieve(&quot;+18665552368&quot;, api_key) %{messaging_profile_id: &quot;uuid&quot;} |&gt; Telnyx.MessagingPhoneNumbers.update(number[&quot;id&quot;], api_key) Example response: {:ok, %{ &quot;MMS&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;enabled&quot; =&gt; false, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false }, &quot;SMS&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;enabled&quot; =&gt; false, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false }, &quot;country_code&quot; =&gt; &quot;US&quot;, &quot;created_at&quot; =&gt; &quot;2020-04-27T15:33:17.098Z&quot;, &quot;eligible_messaging_products&quot; =&gt; [&quot;A2P&quot;, &quot;P2P&quot;], &quot;features&quot; =&gt; %{ &quot;mms&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false }, &quot;sms&quot; =&gt; %{ &quot;domestic_two_way&quot; =&gt; true, &quot;international_inbound&quot; =&gt; false, &quot;international_outbound&quot; =&gt; false } }, &quot;health&quot; =&gt; %{ &quot;inbound_outbound_ratio&quot; =&gt; 0.06521739130434782, &quot;message_count&quot; =&gt; 98.0, &quot;spam_ratio&quot; =&gt; 0.0, &quot;success_ratio&quot; =&gt; 1.0 }, &quot;id&quot; =&gt; &quot;8787893573721994846&quot;, &quot;messaging_product&quot; =&gt; &quot;A2P&quot;, &quot;messaging_profile_id&quot; =&gt; &quot;uuid&quot;, &quot;organization_id&quot; =&gt; &quot;21994846-d17b-4cde-8fbf-e37bd8baa4b1&quot;, &quot;phone_number&quot; =&gt; &quot;+18665552368&quot;, &quot;phone_number_country&quot; =&gt; &quot;US&quot;, &quot;phone_number_type&quot; =&gt; &quot;longcode&quot;, &quot;record_type&quot; =&gt; &quot;messaging_phone_number&quot;, &quot;traffic_type&quot; =&gt; &quot;A2P&quot;, &quot;type&quot; =&gt; &quot;longcode&quot;, &quot;updated_at&quot; =&gt; &quot;2020-04-27T15:33:17.098Z&quot;, &quot;user_id&quot; =&gt; &quot;21994846-d17b-4cde-8fbf-e37bd8baa4b1&quot; }} See https://developers.telnyx.com/docs/api/v2/messaging/Phone-Numbers#updateMessagingPhoneNumber"},{"ref":"Telnyx.MessagingProfiles.html","title":"Telnyx.MessagingProfiles","type":"module","doc":"Context for managing messaging profiles"},{"ref":"Telnyx.MessagingProfiles.html#create/2","title":"Telnyx.MessagingProfiles.create/2","type":"function","doc":"Creates a messaging profile. Examples api_key = &quot;YOUR_API_KEY&quot; %{name: &quot;Summer Campaign&quot;} |&gt; Telnyx.MessagingProfiles.create(api_key) Example response: {:ok, %{ &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;enabled&quot; =&gt; true, &quot;id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;name&quot; =&gt; &quot;Summer Campaign&quot;, &quot;organization_id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;record_type&quot; =&gt; &quot;messaging_profile&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;webhook_api_version&quot; =&gt; &quot;2&quot;, &quot;webhook_failover_url&quot; =&gt; nil, &quot;webhook_url&quot; =&gt; nil, &quot;whitelisted_destinations&quot; =&gt; [&quot;US&quot;] } } See https://developers.telnyx.com/docs/api/v2/messaging/Messaging-Profiles?#createMessagingProfile"},{"ref":"Telnyx.MessagingProfiles.html#delete/2","title":"Telnyx.MessagingProfiles.delete/2","type":"function","doc":"Deletes a messaging profile. Examples api_key = &quot;YOUR_API_KEY&quot; {:ok, messaging_profile} = Telnyx.MessagingProfiles.retrieve(&quot;uuid&quot;, api_key) Telnyx.MessagingProfiles.delete(messaging_profile[&quot;id&quot;], api_key) Example response: {:ok, %{ &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;enabled&quot; =&gt; true, &quot;id&quot; =&gt; &quot;uuid&quot;, &quot;name&quot; =&gt; &quot;Profile for Messages&quot;, &quot;organization_id&quot; =&gt; &quot;uuid&quot;, &quot;record_type&quot; =&gt; &quot;messaging_profile&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;webhook_api_version&quot; =&gt; &quot;2&quot;, &quot;webhook_failover_url&quot; =&gt; nil, &quot;webhook_url&quot; =&gt; nil, &quot;whitelisted_destinations&quot; =&gt; [&quot;US&quot;] } } See https://developers.telnyx.com/docs/api/v2/messaging/Messaging-Profiles#deleteMessagingProfile"},{"ref":"Telnyx.MessagingProfiles.html#list/2","title":"Telnyx.MessagingProfiles.list/2","type":"function","doc":"Lists all messaging profiles. api_key = &quot;YOUR_API_KEY&quot; Telnyx.MessagingProfiles.list(api_key, page: %{size: 10}) Example response: {:ok, [ %{ &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;enabled&quot; =&gt; true, &quot;id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;name&quot; =&gt; &quot;Profile for Messages&quot;, &quot;organization_id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;record_type&quot; =&gt; &quot;messaging_profile&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;webhook_api_version&quot; =&gt; &quot;2&quot;, &quot;webhook_failover_url&quot; =&gt; nil, &quot;webhook_url&quot; =&gt; nil, &quot;whitelisted_destinations&quot; =&gt; [&quot;US&quot;] } ] }"},{"ref":"Telnyx.MessagingProfiles.html#list_messaging_profile_phone_numbers/3","title":"Telnyx.MessagingProfiles.list_messaging_profile_phone_numbers/3","type":"function","doc":"Lists phone numbers associated with messaging profile. Examples api_key = &quot;YOUR_API_KEY&quot; Telnyx.MessagingProfiles.list_messaging_profile_phone_numbers(&quot;uuid&quot;, api_key, page: %{size: 10}) Example response: {:ok, [ %{ &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;id&quot; =&gt; &quot;+18665550001&quot;, &quot;messaging_profile_id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;organization_id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;phone_number&quot; =&gt; &quot;+18005550001&quot;, &quot;record_type&quot; =&gt; &quot;messaging_phone_number&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot; } ] } See https://developers.telnyx.com/docs/api/v2/messaging/Messaging-Profiles#listMessagingProfilePhoneNumbers"},{"ref":"Telnyx.MessagingProfiles.html#list_messaging_profile_short_codes/3","title":"Telnyx.MessagingProfiles.list_messaging_profile_short_codes/3","type":"function","doc":"Lists short codes associated with messaging profile. Examples api_key = &quot;YOUR_API_KEY&quot; Telnyx.MessagingProfiles.list_messaging_profile_short_codes(&quot;uuid&quot;, api_key, page: %{size: 10}) Example response: {:ok, [ %{ &quot;country_code&quot; =&gt; &quot;US&quot;, &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;messaging_profile_id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;organization_id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;record_type&quot; =&gt; &quot;short_code&quot;, &quot;short_code&quot; =&gt; &quot;12345&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot; } ] } See https://developers.telnyx.com/docs/api/v2/messaging/Messaging-Profiles#listMessagingProfileShortCodes"},{"ref":"Telnyx.MessagingProfiles.html#retrieve/2","title":"Telnyx.MessagingProfiles.retrieve/2","type":"function","doc":"Retrieves a messaging profile. Examples api_key = &quot;YOUR_API_KEY&quot; Telnyx.MessagingProfiles.retrieve(&quot;uuid&quot;, api_key) Example response: {:ok, %{ &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;enabled&quot; =&gt; true, &quot;id&quot; =&gt; &quot;uuid&quot;, &quot;name&quot; =&gt; &quot;Profile for Messages&quot;, &quot;organization_id&quot; =&gt; &quot;uuid&quot;, &quot;record_type&quot; =&gt; &quot;messaging_profile&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;webhook_api_version&quot; =&gt; &quot;2&quot;, &quot;webhook_failover_url&quot; =&gt; nil, &quot;webhook_url&quot; =&gt; nil, &quot;whitelisted_destinations&quot; =&gt; [&quot;US&quot;] } } See https://developers.telnyx.com/docs/api/v2/messaging/Messaging-Profiles#retrieveMessagingProfile"},{"ref":"Telnyx.MessagingProfiles.html#update/3","title":"Telnyx.MessagingProfiles.update/3","type":"function","doc":"Updates a messaging profile. Examples api_key = &quot;YOUR_API_KEY&quot; %{name: &quot;Summer Campaign&quot;} |&gt; Telnyx.MessagingProfiles.update(&quot;uuid&quot;, api_key) Example response: {:ok, %{ &quot;created_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;enabled&quot; =&gt; true, &quot;id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;name&quot; =&gt; &quot;Summer Campaign&quot;, &quot;organization_id&quot; =&gt; &quot;3fa85f64-5717-4562-b3fc-2c963f66afa6&quot;, &quot;record_type&quot; =&gt; &quot;messaging_profile&quot;, &quot;updated_at&quot; =&gt; &quot;2019-01-23T18:10:02.574Z&quot;, &quot;webhook_api_version&quot; =&gt; &quot;2&quot;, &quot;webhook_failover_url&quot; =&gt; nil, &quot;webhook_url&quot; =&gt; nil, &quot;whitelisted_destinations&quot; =&gt; [&quot;US&quot;] } } See https://developers.telnyx.com/docs/api/v2/messaging/Messaging-Profiles#updateMessagingProfile"}]